Bug 62215 - perl vs perl-suidperl file conflicts
perl vs perl-suidperl file conflicts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-28 09:48 EST by Peter Bowen
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 20:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2002-03-28 09:48:01 EST
Today's rawhide perl (perl-5.6.1-34.99.5) contains /usr/bin/suidperl.  It
doesn't obsolete or conflict with perl-suidperl (perl-suidperl-5.6.1-28.99.4). 
This makes it uninstallable via automated methods.
Comment 1 Bill Nottingham 2002-03-28 16:45:57 EST
Chip, is this the way you want to package it going forward, or was this accidental?
Comment 2 Chip Turner 2002-03-29 12:45:58 EST
yeah splitting suidperl out is the eventual goal, but right now we can't; the
central perl package needs to have a Require: on it so that anaconda pulls it in
when it does an upgrade.  this ends up making it non-optional.  the split out
cpan modules do the same, but they can at least be updated independent of the
core perl package, which suidperl can't do.  I can split it back out without the
Requires: in the main perl package, but it may break anaconda upgrades from
older releases.
Comment 3 Bill Nottingham 2002-03-31 12:03:20 EST
Anaconda does not require a 'requires' on it to pull it in on upgrade... as long
as it contains files that were in the old package, it will find it.
Comment 4 Chip Turner 2002-03-31 19:44:36 EST
ahh, right, the anaconda problem is with the packages that contain only files that
move (the perl modules themselves).  I'd forgotten than it looks for files that
are removed and tries to satisfy those dependencies.  I'll build a new perl with
suid split back out, then.
Comment 5 Chip Turner 2002-04-10 20:11:18 EDT
latest build in rawhide now has the suidperl package split
Comment 6 Jay Turner 2002-04-11 10:54:28 EDT
Indeed 5.6.1-34.99.6 has the perl-suidperl stuff split out from the core perl
package.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.